package com.engine.organization.mapper.employee;

import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;


/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/5/20
 * @Version V1.0
 **/
public interface EmployeeMapper {

    List<String> getEmployeeNameById(@Param("ids") Collection<Long> ids);

    List<Long> getResourceIds(@Param("lastName") String lastName);

    List<Long> getResourceIdsByName(@Param("lastName") String lastName);


    List<Map<String, Object>> getBrowserDatas(@Param("ids") Collection<Long> ids);
}
